Subject: Re: bug#34941: 27.0.50; map-inplace and map-not-inplace errors

From: Michael Heerdegen <[email-masked]>
Date: Sat, 23 Mar 2019 01:14:53 +0100

Michael Heerdegen <[email-masked]> writes:

> Hi,
>
> in *scratch* I eval for testing
>
>   (map-put! nil 1 1)
>
> and get the error message
>
>   map-put!: Cannot modify map in-place: %S: ((1 . 1))
>
> I guess this "%S" in the error definition doesn't work as intended, it
> is printed literally - likewise for the map-inplace error I guess.

Stefan, some similar error definitions are from you.  Are these mistakes
or does this %S thing work in some context?

;;; *** /home/micha/software/emacs/lisp/emacs-lisp/cl-generic.el

;;;; Line 636
(define-error 'cl--generic-cyclic-definition "Cyclic definition: %S")

;;; *** /home/micha/software/emacs/lisp/emacs-lisp/cl-macs.el

;;;; Line 3094
(define-error 'cl-struct-unknown-slot "struct %S has no slot %S")

;;; *** /home/micha/software/emacs/lisp/emacs-lisp/gv.el

;;;; Line 77
(define-error 'gv-invalid-place "%S is not a valid place expression")

Thanks,

Michael.